curl --request POST \
--url https://api.cdp.coinbase.com/platform/v2/solana/accounts/{address}/sign/message \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Wallet-Auth: <x-wallet-auth>' \
--data '
{
"message": "Hello, world!"
}
'import requests
url = "https://api.cdp.coinbase.com/platform/v2/solana/accounts/{address}/sign/message"
payload = { "message": "Hello, world!" }
headers = {
"X-Wallet-Auth": "<x-wallet-auth>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Wallet-Auth': '<x-wallet-auth>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({message: 'Hello, world!'})
};
fetch('https://api.cdp.coinbase.com/platform/v2/solana/accounts/{address}/sign/message', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"signature": "4YecmNqVT9QFqzuSvE9Zih3toZzNAijjXpj8xupgcC6E4VzwzFjuZBk5P99yz9JQaLRLm1K4L4FpMjxByFxQBe2h"
}{
"errorType": "invalid_request",
"errorMessage": "request body has an error: doesn't match schema: Error at \"message\": string doesn't match the regular expression \"^0x[0-9a-fA-F]{40}$\"."
}{
"errorType": "unauthorized",
"errorMessage": "Wallet authentication error."
}{
"errorType": "payment_method_required",
"errorMessage": "A valid payment method is required to complete this operation. Please add a payment method to your account at https://portal.cdp.coinbase.com."
}{
"errorType": "not_found",
"errorMessage": "Solana account with the given address not found."
}{
"errorType": "already_exists",
"errorMessage": "Another request with the same idempotency key is currently processing."
}{
"errorType": "idempotency_error",
"errorMessage": "Idempotency key '8e03978e-40d5-43e8-bc93-6894a57f9324' was already used with a different request payload. Please try again with a new idempotency key."
}{
"errorType": "internal_server_error",
"errorMessage": "An internal server error occurred. Please try again later."
}{
"errorType": "bad_gateway",
"errorMessage": "Bad gateway. Please try again later."
}{
"errorType": "service_unavailable",
"errorMessage": "Service unavailable. Please try again later."
}Sign message
Signs an arbitrary message with the given Solana account.
WARNING: Never sign a message that you didn’t generate, as it can be an arbitrary transaction. For example, it might send all of your funds to an attacker.
Authorizations
A JWT signed using your CDP API Key Secret, encoded in base64. Refer to the Generate Bearer Token section of our Authentication docs for information on how to generate your Bearer Token.
Headers
A JWT signed using your Wallet Secret, encoded in base64. Refer to the Generate Wallet Token section of our Authentication docs for more details on how to generate your Wallet Token.
An optional string request header for making requests safely retryable. When included, duplicate requests with the same key will return identical responses. Refer to our Idempotency docs for more information on using idempotency keys.
1 - 128Path Parameters
The base58 encoded address of the Solana account.
^[1-9A-HJ-NP-Za-km-z]{32,44}$Body
The arbitrary message to sign.
"Hello, world!"
Response
Successfully signed message.
The signature of the message, as a base58 encoded string.
"4YecmNqVT9QFqzuSvE9Zih3toZzNAijjXpj8xupgcC6E4VzwzFjuZBk5P99yz9JQaLRLm1K4L4FpMjxByFxQBe2h"
Was this page helpful?